- Qt 6.10
- Qt Quick 3D
- C++ Classes
- QSSGCameraHelpers
- Qt Quick 3D | Commercial or GPLv3

# QSSGCameraHelpers Class

Class containing helper functions for getting camera data used for rendering. More...

Header: | `#include <QSSGCameraHelpers>`
Since: | Qt 6.7

- List of all members, including inherited members

## Static Public Members

QMatrix4x4 | getViewProjectionMatrix(const QSSGCameraId cameraId, const QMatrix4x4 *globalTransform = nullptr)

## Detailed Description

## Member Function Documentation

### `[static]` QMatrix4x4 QSSGCameraHelpers::getViewProjectionMatrix(const QSSGCameraId cameraId, const QMatrix4x4 *globalTransform = nullptr)

Get the projection matrix for cameraId. An optional transform argument can be given to be used instead of the cameras global transform when calculating the projection matrix.

Returns projection matrix for cameraId

globalTransform

See also QSSGRenderHelpers::createRenderables().